Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2EnumeratedOutputSymbol Class Reference

Represents a enumerated output symbol of the Xabsl2Engine. More...

`#include <Xabsl2Symbols.h>`

Inheritance diagram for Xabsl2EnumeratedOutputSymbol:

[legend]
Collaboration diagram for Xabsl2EnumeratedOutputSymbol:

[legend]
List of all members.

## Public Member Functions
| Xabsl2EnumeratedOutputSymbol (const char *name, int *pVariable)
| Constructor.
| Xabsl2EnumeratedOutputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, void(Xabsl2FunctionProvider::*pFunction)(int))
| Constructor.
| ~Xabsl2EnumeratedOutputSymbol ()
| Destructor.
void | setActiveValue ()
| Sets the current set value to the software environment.
## Public Attributes
Xabsl2Array< Xabsl2EnumElement * > | enumElements
| Assignes a enum value from a function or variable in the software environment to the enum-element string in the XML formalization.
int | activeValue
| The value that was set during the last execution of the option graph.
bool | activeValueWasSet
| If true, the value was set during the last execution of the option graph.
## Private Attributes
int * | pV
| A pointer to a variable in the software environment.
void(Xabsl2FunctionProvider::* | pF )(int)
| A pointer to a function that sets the symbol in the software environment.
Xabsl2FunctionProvider * | pI
| A pointer to the instance object that contains the function.

## Detailed Description

Represents a enumerated output symbol of the Xabsl2Engine.

Author:
  Martin Lötzsch

Definition at line 234 of file Xabsl2Symbols.h.

## Constructor & Destructor Documentation

Xabsl2EnumeratedOutputSymbol::Xabsl2EnumeratedOutputSymbol | ( | const char * | name,
|  | int * | pVariable
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pVariable | A pointer to the variable that the symbol stands for
Definition at line 242 of file Xabsl2Symbols.h. References activeValue.

Xabsl2EnumeratedOutputSymbol::Xabsl2EnumeratedOutputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | void(Xabsl2FunctionProvider::* | pFunction)(int)
| ) | `[inline]`

  | Constructor. Parameters:
  name | The name of the symbol, for debugging purposes
  pFunction | A pointer to a function in the software environment that sets the symbol
  pInstance | A pointer to the instance that contains the function
Definition at line 252 of file Xabsl2Symbols.h. References activeValue, and activeValueWasSet.

Xabsl2EnumeratedOutputSymbol::~Xabsl2EnumeratedOutputSymbol | ( |  | ) |

| Destructor. Deletes the enum elements Definition at line 20 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumElement * >::getSize().

Here is the call graph for this function:

## Member Function Documentation

void Xabsl2EnumeratedOutputSymbol::setActiveValue | ( |  | ) |

| Sets the current set value to the software environment. Definition at line 29 of file Xabsl2Symbols.cpp. References activeValue, and activeValueWasSet.

## Member Data Documentation

Xabsl2Array<Xabsl2EnumElement*> Xabsl2EnumeratedOutputSymbol::enumElements

| Assignes a enum value from a function or variable in the software environment to the enum-element string in the XML formalization. Definition at line 264 of file Xabsl2Symbols.h. Referenced by GTXabsl2EngineExecutor::handleMessage(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), and GTXabsl2EngineExecutor::sendDebugMessage().

int Xabsl2EnumeratedOutputSymbol::activeValue

| The value that was set during the last execution of the option graph. Definition at line 267 of file Xabsl2Symbols.h. Referenced by GTXabsl2EngineExecutor::sendDebugMessage(), setActiveValue(), and Xabsl2EnumeratedOutputSymbol().

bool Xabsl2EnumeratedOutputSymbol::activeValueWasSet

| If true, the value was set during the last execution of the option graph. Definition at line 270 of file Xabsl2Symbols.h. Referenced by setActiveValue(), and Xabsl2EnumeratedOutputSymbol().

int* Xabsl2EnumeratedOutputSymbol::pV`[private]`

| A pointer to a variable in the software environment. Definition at line 278 of file Xabsl2Symbols.h.

void(Xabsl2FunctionProvider::* Xabsl2EnumeratedOutputSymbol::pF)(int)`[private]`

| A pointer to a function that sets the symbol in the software environment.

Xabsl2FunctionProvider* Xabsl2EnumeratedOutputSymbol::pI`[private]`

| A pointer to the instance object that contains the function. Definition at line 284 of file Xabsl2Symbols.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.cpp